package com.student.details.controllers;

import com.student.details.models.Student;
import com.student.details.services.StudentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@CrossOrigin(origins = "*")
@RestController
@RequestMapping("/api")
public class DetailsController {

  @Autowired
  StudentService studentService;

  @GetMapping("/students")
  public List<Student> getAllStudents() {
//    System.out.println("This is the students index route.");
    return studentService.findAllStudents();
  }

}
